ipa_callback_ops Struct Reference

IPA context operations as a set of function pointers. More...

## Public Attributes

void(* | queue_frame_action )(void *cb_ctx, unsigned int frame, struct ipa_operation_data &data)
| Queue an action associated with a frame to the pipeline handler. More...

## Detailed Description

IPA context operations as a set of function pointers.

## Member Data Documentation

## queue_frame_action

ipa_callback_ops::queue_frame_action

Queue an action associated with a frame to the pipeline handler.

Parameters

  [in] | cb_ctx | The callback context registered with ipa_context_ops::register_callbacks
  [in] | frame | The frame number

See also
  libcamera::IPAInterface::queueFrameAction

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_interface.h
- src/libcamera/ipa_interface.cpp